Ovidiu Pacuraru's picture

https://www.turnkeylinux.org/fileserver the link to the docker image points here: https://hub.docker.com/r/turnkeylinux/fileserver-15.0 and that links is broken.

 

So is there an up-to-date version of file server for docker?

 

Thanks

Forum: 
Jeremy Davis's picture

Unfortunately it's a known issue. FWIW, it's caused by our new (as of v15.0) Docker build naming convention. We've moved to using tags for the version rather including the version in the name (as we probably should have done ages ago...).

I did have a quick look some time ago, but I'm not much of a PHP guy so didn't have any joy. Once we finally get our (REALLY overdue) new major release, v16.0 out the door, I hope to swing back and have a closer look at this (and other) website issues. I'll likely get in the assistance of a PHP expert to get it all tidied up.

In the meantime you can just omit the version from the appliance name and you should be able to find it. I.e. For the fileserver appliance, try https://hub.docker.com/r/turnkeylinux/fileserver. As hinted above, if you explictly want v15.0, then:

docker pull turnkeylinux/fileserver:15.0

If you just want the latest (whatever version that happens to be):

docker pull turnkeylinux/fileserver:latest

Or even just (latest is assumed if not version tag given):

docker pull turnkeylinux/fileserver

We intend to continue with this naming convention.

Ovidiu Pacuraru's picture

thanks, I udnerstand now. Maybe the link I mentioned above should be corrected too.

 

btw. if this docker image still being maintained as its 1 year old or are there better alternatives you know about?

Jeremy Davis's picture

Unfortunately, I can't just update the link, it's dynamically generated by the site. So we need to fix the code that generates the link.

Ideally we should have rebuilt the image since then, but as most of the software comes from Debian, running apt-get update within the container should bring it up to date (although it will still be based on Debian 9/Stretch as per all v15.x appliances). v16.0 is on the way though. I can't give a firm timeframe but hopefully really soon...

Ovidiu Pacuraru's picture

Can I ask for more advice? Any how-to or tips for how to use this image with docker-compose.yml? 

All I can find is: https://www.turnkeylinux.org/docs/docker but that is really, really sparse information :-( 

 

 

Jeremy Davis's picture

TL; DR I'm not sure if it works, or how... Sorry. Although please feel free to ask, I'm just not sure I'll be able to help...

Firstly, it's probably important to note that I made a mistake with the images for v16.0. They shouldn't have been pushed yet. I didn't test them properly before I pushed them and there are some issues with the new v16.0 Docker builds on firstboot. AFAIK, they should still work if pre-seeded (and even that I'm not 100% sure on). But not if you try to use them interactively.

I've been meaning to circle back to them and have a closer look, but I've been waylaid with other stuff. So unfortunately, until I get a chance to investigate further, you're best to specify the relevant most recent 15.x tag when launching our Docker containers.

But to circle back to your question regarding Docker compose. Personally, I have extremely limited experience with Docker and have never even played with "compose". So I'm not really sure how that works. Our containers aren't built using the normal Docker paradigm and are monolithic ("all in one") type containers (most like how you would expect an LXC container to be, rather than a Docker container). As such, it's possible that as they are, hey won't work nicely with composer, or at least under the normal composer paradigm?! It may still be possible to find some way to work around any limitations that you are hitting, but TBH, I have no idea.

But feel free to ask if you have specific questions... When I have some spare time, I might look into this myself. But I'll prioritise fixing our images first...

iosman987's picture

I have used this self hosting mail service. But what made leave it is it's python version conflict, it so happens it's still using python2 not python3. Thanks

Add new comment